@charset "utf-8";

/*視窗背景色設定*/
body{
    background-color: #fbf9cc;

    /* 背景進階（6屬性） */
    background-image:
        url("flower.png"),
        url("flower.png"),
        url("flower.png"),
        url("flower.png"),
        url("bg.jpg");

    background-repeat:
        no-repeat,
        no-repeat,
        no-repeat,
        no-repeat,
        repeat;

    background-position:
        left top,
        right top,
        left bottom,
        right bottom,
        center;

    background-attachment:
        fixed,
        fixed,
        fixed,
        fixed,
        scroll;

    background-size:
        100px 100px,
        100px 100px,
        100px 100px,
        100px 100px,
        cover;
}

/*連結顏色設定*/
a{  
    color:#e964ad;
}
a:hover {
    color:#ff705b;
    text-decoration: none;
}

/*頁首,導覽,頁尾*/
header,nav,footer {
    text-align: center;
}

/*導覽*/
nav ul{
    list-style:none;
    padding:0;
}
nav li{
    display:inline-block;
    margin:10px;
}
nav a{
    padding:8px 12px;
    border-radius:15px;
}
nav a:hover{
    background-color:#ffd6ec;
}

/*LOGO設計（重點）*/
h1{
    width: 300px;
    margin: 40px auto;
    padding: 30px;
    border: 5px solid #95bdbd;
    background: linear-gradient(135deg, #6fbb9a, #8fd3f4);
    color:aliceblue;
    font-size: 300%;
    text-align: center;
    line-height: 1;

    border-radius: 30px;
    box-shadow: 5px 5px 15px rgba(0,0,0,0.2);
    text-shadow: 2px 2px 4px rgba(0,0,0,0.3);
}

/*次標題*/
.h{
    padding: 10px;
    margin-bottom: 30px;
    border: 1px dotted #94c8b1;
    border-left: 10px solid #d0e35b;
    color:#6fbb9a;
}

/*虛擬元素*/
.h::before{
    content:"✦ ";
}
.h::after{
    content:" ✦";
}

/*內容區塊*/
#contents{
    margin: 40px;
    padding: 40px 80px;
    border: 1px solid #f6bb9e;
    background-color: #fff;

    border-radius:20px;
    box-shadow:0 8px 20px rgba(0,0,0,0.1);
}

/*更多介紹*/
.more {
    text-align: right;
}
.more::after {
    content:url(arrow.png);
    margin-left: 3px;
    vertical-align: middle;
}

/*外部連結*/
a[target="_blank"]::after{
    content: url(ico_blank.png);
    margin-left: 5px;
}
a[href^="mailto"]::after{
    content: url(ico_mail.png);
    margin-left: 5px;
}

/*區塊間距*/
#contents > section + section{
    margin-top: 80px;
}

/*圖片*/
img{
    display:block;
    margin:10px auto;
    border-radius:20px;
    box-shadow:0 5px 15px rgba(0,0,0,0.2);
}

/*圖片hover*/
img:hover{
    transform: scale(1.05);
    transition: 0.3s;
}

/*頁尾*/
footer{
    margin-top:40px;
}